<xml> </xml>

db4o |

# Constraint Members

Constraint overview

#### Public Instance Methods

and | links two Constraints for AND evaluation.
contains | sets the evaluation mode to containment comparison.

equal

sets the evaluation mode to

    ==

.

getObject | returns the Object the query graph was constrained with to create this com.db4o.query.Constraint .

greater

sets the evaluation mode to

    >

.

identity | sets the evaluation mode to identity comparison.
like | sets the evaluation mode to "like" comparison.
not | turns on not() comparison.
or | links two Constraints for OR evaluation.

smaller

sets the evaluation mode to

    <

.

#### See Also

Constraint Interface | com.db4o.query Namespace